
schema.criterion.flag.select.Addetection = 'Ad-detection done';

schema.criterion.detectadsq = {
   'class': 'all',
   type: 'noarg',
   desc: 'Queued for detectads',
   idesc: 'Not queued for detectads',
   negate: true,
   def: ""
};

schema.action.detectads = {
   'class': 'all',
   argtype: 'none',
   desc: 'Add to detectads queue',
   continues: true
};


macros.detectads = {
      desc: 'Sample DetectAds rules',
      rules: [
         {
            "raw": "global !flag Addetection or {filename -crop filename -dec } action {flag detectads}",
            "name": "Flag old detectads files (not needed for files processed by da >= 0.2.1-0)",
            "type": "global",
            "enabled": "0",
            "criteria": [
              {
                "negate": 1,
                "cmd": "flag",
                "arg": "Addetection"
              },
              {
                "negate": 0,
                "cmd": "or",
                "arg": "",
                "criteria": [
                    {
                      "negate": 0,
                      "cmd": "filename",
                      "arg": "-crop"
                    } ,
                   {
                     "negate": 0,
                     "cmd": "filename",
                     "arg": "-dec"
                   }
                ]
              }
            ],
            "action": {
                "cmd": "flag",
                "arg": "detectads"
            }
          },
        {
          "raw": "global and {bookmarks 0 !flag Addetection !textmatch %channel~~BBC* !detectadsq } action detectads",
          "name": "Queue for DetectAds (add/remove/modify conditions as needed)",
          "type": "global",
          "enabled": "0",
          "criteria": [
                 {
                   "negate": 0,
                   "cmd": "bookmarks",
                   "arg": "0"
                 },
                 {
                   "negate": 1,
                   "cmd": "flag",
                   "arg": "Addetection"
                 },
                 {
                   "negate": 1,
                   "cmd": "textmatch",
                   "arg": "%channel~~BBC*"
                 },
                 {
                   "negate": 1,
                   "cmd": "detectadsq",
                   "arg": " "
                 }
              ],
          "action": {
             "cmd": "detectads",
             "arg": ""
          }
        }
      ]
   };
